﻿using System;
using System.Windows.Markup;

namespace IgOutlook.Infrastructure.Markup
{
    public class TypeExtension : MarkupExtension
    {
        public string TypeName { get; set; }

        public override object ProvideValue(IServiceProvider serviceProvider)
        {
            if (TypeName == null)
                throw new InvalidOperationException("Type cannot be null");

            // Get the IXamlTypeResolver from the service provider
            IXamlTypeResolver xamlTypeResolver = serviceProvider.GetService(typeof(IXamlTypeResolver)) as IXamlTypeResolver;
            if (xamlTypeResolver == null)
                throw new ArgumentException("xamlTypeResolver");

            // Use the type resolver to get a Type instance 
            Type type = xamlTypeResolver.Resolve(TypeName);

            return type.ToString();
        }
    }
}
