﻿using System;
using Infragistics.Controls.Menus;
using Microsoft.Practices.Prism.Commands;

namespace IgOutlook.Infrastructure.Prism
{
    public class XamDataTreeCommandBehavior : CommandBehaviorBase<XamDataTree>
    {
        public XamDataTreeCommandBehavior(XamDataTree tree)
            : base(tree)
        {
            tree.ActiveNodeChanged += TreeActive_NodeChanged;
        }

        void TreeActive_NodeChanged(object sender, ActiveNodeChangedEventArgs e)
        {
            var param = e.NewActiveTreeNode.Data as INavigationItem;
            if (param != null)
                CommandParameter = param.NavigationPath;
            else
                CommandParameter = String.Empty;

            ExecuteCommand();
        }
    }
}
